# Pure python package
%define debug_package %{nil}
%define minversion	f
Name:		openstereo
Version:	0.1.2
Release:	%mkrel 5
Summary:	Software for structural geology analysis
Group:		Sciences/Geosciences
License:	GPLv3+
Url:		http://www.igc.usp.br/index.php?id=391
Source0:	http://www.igc.usp.br/fileadmin/files/openstereo/%{name}_%{version}%{minversion}_linux.zip
Source1:	%{name}_icon.png

BuildArch:	noarch

%py_requires
BuildRequires:	python-matplotlib-wx
BuildRequires:	wxPython
BuildRequires:	python-numpy
BuildRequires:	desktop-file-utils

Requires:	python-matplotlib-wx
Requires:	wxPython
Requires:	python-numpy

Conflicts:	%{name} < %{version}-%{release}

%description
OpenStereo is an open source, cross-platform software 
for structural geology analysis.

The software is written in Python, a high-level, 
cross-platform programming language and the GUI is 
designed with wxPython, which provide a consistent look 
regardless the OS.
Numeric operations (like matrix and linear algebra) are 
performed with the Numpy module and all graphic capabilities 
are provided by the Matplolib library, including on-screen 
plotting and graphic exporting to common desktop formats 
(emf, eps, ps, pdf, png, svg). 

%prep
%setup -q -n %{name}_%{version}%{minversion}

%install
rm -fr %{buildroot}
mkdir -p %{buildroot}%py_puresitedir/%{name}
rm -f setup.pyc
mv * %{buildroot}%{py_puresitedir}/%{name}/
chmod 644 %{buildroot}%{py_puresitedir}/%{name}/*.py

mkdir -p %{buildroot}%{_bindir}
cat >> %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
python %{py_puresitedir}/%{name}/OpenStereo.py
EOF
chmod a+x %{buildroot}%{_bindir}/%{name}

install -d -m755 %{buildroot}%{_iconsdir}
install -m644 %{SOURCE1} %{buildroot}%{_iconsdir}/%{name}.png

cat >> %{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=%{name}
GenericName=Stereo Net
Comment=Application to build stereonet
Icon=%{name}
Exec=%{name}
Categories=Education;Science;Geology;Geoscience;
EOF

desktop-file-install --dir=%{buildroot}/%{_datadir}/applications %{name}.desktop

%files
%{_bindir}/%{name}
%{py_puresitedir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.1.2-5.mga3
+ Revision: 362168
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 20 2012 matteo <matteo> 0.1.2-4.mga3
+ Revision: 262255
- fixed desktop file categories

* Wed Jun 20 2012 matteo <matteo> 0.1.2-3.mga3
+ Revision: 262250
- fixed group (switch from Education to Sciences/Geosciences)
- spec file reviewed

* Sat May 19 2012 matteo <matteo> 0.1.2-1.mga3
+ Revision: 235907
- missing url added
- imported package openstereo

